---
schema_version: "1"
id: c5304056e48042abd5303b93a03e914d02c13a223ce138989c0b5f44f99bf8f1
title: Get a Process Rule for an sObject
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-process-rule-object-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-process-rule-object-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 8c3977260532568e7295e12aad8487b5c7222ca0c2e6855ff1b992f0c73b76a8
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get a Process Rule for an sObject

Gets the fields of a specific workflow rule for a specific sObject.

Cross-object workflow rules can’t be invoked using REST API.

**URI:** `/services/data/vXX.X/process/rules/sObjectName/workflowRuleId`

**Available since release:** 30.0

**Formats:** JSON, XML

**HTTP methods:** GET

**Authentication:** `Authorization: Bearer token`

**Request parameters:** None required

**Example usage**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/process/rules/Account/01QD0000000APli -H "Authorization: Bearer token"
```

**Example request body:** None required

**Example JSON response body**

```nolang

{
  "actions" : [ {
    "id" : "01VD0000000D2w7",
    "name" : "ApprovalProcessTask",
    "type" : "Task"
    } ],
    "description" : null,
    "id" : "01QD0000000APli",
    "name" : "My Rule",
    "namespacePrefix" : null,
    "object" : "Account"
}
```

